Name: libgii
Version: 0.9.0
Release: alt1

Summary: LibGII (General Input Interface)

Copyright: Public Domain
Group: System/Libraries
URL: http://www.ggi-project.org/

Source: ftp://ftp.ggi-project.org:/pub/ggi/ggi/2_0_beta_3/%name-%version.src.tar.bz2

# Automatically added by buildreq on Tue Feb 25 2003
BuildRequires: XFree86-devel-static glibc-devel-static

%description
The goal of LibGII is to provide a single easy to use, but yet powerful,    
API for all possible input sources. However we are not there yet. The           
API is far from set in stone yet, and is likely to change.        

The main purpose of this LibGII release is to accompany our LibGGI beta
release, but you're still very welcome to use LibGII as a standalone
library for your non-LibGGI applications. Also you might be interrested in
the mhub utility found in the demos directory. mhub is a mouse event repeater
and converter. See mhub(1) and the files doc/env.txt and doc/input.txt for
more info.

%package devel
Summary: development part of %name
Group: Development/C
Requires: %name = %version-%release

%description devel
development files for %name

%prep
%setup -q 


%build
%undefine __libtoolize
%configure
%make_build

%install
%makeinstall

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc README NEWS ChangeLog INSTALL FAQ
%config(noreplace) %_sysconfdir/ggi/*
%_bindir/*
%dir %_libdir/ggi
%_libdir/ggi/*/*.so
%_libdir/*.so.*
%_mandir/man?/*

%files devel
%_includedir/*
#%_libdir/ggi/*/*.la
%_libdir/*.so
#%_libdir/*.la

%changelog
* Wed Dec 29 2004 Stanislav Ievlev <inger@altlinux.org> 0.9.0-alt1
- 0.9.0

* Wed Oct 06 2004 Stanislav Ievlev <inger@altlinux.org> 0.8.6-alt1
- 0.8.6

* Tue Jan 13 2004 Stanislav Ievlev <inger@altlinux.org> 0.8.4-alt1
- 0.8.4

* Tue Dec 02 2003 Stanislav Ievlev <inger@altlinux.org> 0.8.3-alt1.1
- rebuild without .la files. As I understand, we also don't need .la
  files for plugins, 'cause all libraries don't use lt_dlopen()

* Tue Apr 15 2003 Stanislav Ievlev <inger@altlinux.ru> 0.8.3-alt1
- 0.8.3

* Fri Feb 28 2003 Stanislav Ievlev <inger@altlinux.ru> 0.8.2-alt2
- fix ldconfig usage according packaging policy

* Tue Feb 25 2003 Stanislav Ievlev <inger@altlinux.ru> 0.8.2-alt1
- 0.8.2

* Thu Sep 26 2002 Stanislav Ievlev <inger@altlinux.ru> 0.8.1-alt2
- rebuild with gcc3

* Mon Sep 17 2001 Stanislav Ievlev <inger@altlinux.ru> 0.8.1-alt1
- 0.8.1

* Fri Jul 27 2001 Stanislav Ievlev <inger@altlinux.ru> 0.8-alt1
- 0.8

* Wed Jul 04 2001 Stanislav Ievlev <inger@altlinux.ru> 0.7-alt1
- Initial release for ALT Linux
